Subject: [dtn] BPbis CBOR comment on URI

From: Brian Sipos <[email-masked]>
Date: Mon, 11 Apr 2016 12:38:17 +0000

This is a comment for "draft-burleigh-dtn-rs-cbor-00".

This is a relatively minor issue, but I believe that the encoding of the "dtn" scheme SSP data (section 3.3) should use CBOR text string type instead of byte string type. Using the CBOR byte-string type leaves the URI -- byte-string encoding ambiguous.

According to RFC 3986, Section 2 "The URI syntax provides a method of encoding data ... as a sequence of characters." so the URI itself is text character data and not unstructured binary data. RFC 3986 specifically does _not_ specify a particular character encoding, but CBOR does specify UTF-8 for text-string so this behavior leaves no ambiguous gap in the encoding.

---

From: "Burleigh, Scott C (312B)" <[email-masked]>
Date: Mon, 11 Apr 2016 15:45:17 +0000

Thanks, Brian.  Good point.

Scott

From: dtn [mailto:[email-masked]] On Behalf Of Brian Sipos
Sent: Monday, April 11, 2016 5:38 AM
To: [email-masked]
Subject: [dtn] BPbis CBOR comment on URI